## navseek navseek |

## Properties

gdouble | seek-offset | Read / Write

## Types and Values

struct | GstNavSeek

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstNavSeek

## Description

## Synopsis

### Element Information

plugin | debug
author | Jan Schmidt <thaytan@mad.scientist.com>
class | Filter/Video

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstNavSeek

    struct GstNavSeek;

## Property Details

### The `“seek-offset”` property

      “seek-offset”              gdouble

Time in seconds to seek by.

Flags: Read / Write

Allowed values: >= 0

Default value: 5